Getting a Job Note
Get a single note belonging to a job in your workspace.
The get job note endpoint allows you to retrieve a single job note in your workspace.
Endpoint
| Method | Url |
|---|---|
GET | /v1.0/job-notes/{note_id} |
Url Parameters
note_id
•
string
The job note's ID.
Sample Request
bashCopied1curl -X GET 'https://api.worklayer.com/v1.0/job-notes/499d692d-67aa-4127-a45c-b9e27f54afad' \2-H 'Authorization: Bearer {token}'
Response
An instance of the job note resource.
Sample Response
jsonCopied1{2 "id": "499d692d-67aa-4127-a45c-b9e27f54afad",3 "job_id": "a439ddfa-6ba4-4b38-8cf0-5d09db1a0af4",4 "body": "Client uploaded the missing W-2. Ready for review.",5 "created_by_user_id": "4e5ccdf6-a9e1-4025-bff1-96cfc105b2a6",6 "recipient_user_ids": ["95e6f305-913e-40ad-9c80-ede263670878"],7 "create_time": "2026-08-06T13:45:25.781Z"8}
Errors
Forbidden: API Client cannot view the job's notes.Unauthorized: API Client does not have valid credentials.BadRequest: The request was malformed.NotFound: The job note, or the job it belongs to, was not found.
Last updated on August 6, 2026
Privacy PolicyTerms & Conditions© 2026 Taxfyle